curl --request POST \
--url https://staging.api.us.aptlydone.com/decision/v1/delegations/global-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": "105fa115-52d0-4466-baff-740447a60774",
"page": 1,
"limit": 10,
"status": "ISSUED",
"search": "Authority Wisdom",
"section": null,
"category": null,
"groupIds": null,
"positionIds": null,
"redelegable": true,
"isInvalid": true,
"authorityTypeIds": null,
"authorityLimitValueTypes": "Days,Months,Years",
"authorityLimitValueFilters": [
{
"authorityLimitValueType": "Years",
"minValue": "1",
"maxValue": "Unlimited"
}
],
"roles": null,
"conditions": true,
"issuedStartDate": "2025-03-05T11:49:50.577Z",
"issuedEndDate": "2025-03-05T11:49:50.577Z",
"updatedStartDate": "2025-03-05T11:49:50.577Z",
"updatedEndDate": "2025-03-05T11:49:50.577Z",
"effectiveStartDate": "2025-03-05T11:49:50.577Z",
"effectiveEndDate": "2025-03-05T11:49:50.577Z",
"acceptedStartDate": "2025-03-05T11:49:50.577Z",
"acceptedEndDate": "2025-03-05T11:49:50.577Z",
"expiredStartDate": "2025-03-05T11:49:50.577Z",
"expiredEndDate": "2025-03-05T11:49:50.577Z",
"issuers": {
"personnelInPosition": null,
"positionOnly": null,
"specificPersonnel": null
},
"recipients": {
"personnelInPosition": null,
"positionOnly": null,
"specificPersonnel": null
},
"decisions": null,
"isRootDelegation": true,
"invalidFields": "delegationIssuer,delegationGroups,delegationPathway",
"issuerTypes": "PERSONNEL_IN_POSITION,POSITION_ONLY,SPECIFIC_PERSONNEL,ROOT_AUTHORITY",
"recipientTypes": "PERSONNEL_IN_POSITION,POSITION_ONLY,SPECIFIC_PERSONNEL",
"userIds": null,
"startDate": "2025-03-05T11:49:50.577Z",
"endDate": "2025-03-05T11:49:50.577Z",
"selectedTab": "active",
"sortBy": "delegationDisplayId",
"sortOrder": "asc",
"select": "DELEGATION_ID,DELEGATION_DISPLAY_ID,SOURCE_DECISION",
"fetchOnlyOwnDelegations": true,
"issuerType": "ROOT_AUTHORITY",
"issuerUserId": "648fa115-52d0-4466-baff-740447a60774",
"issuerPositionId": "257fa115-52d0-4466-baff-740447a60774"
}
'import requests
url = "https://staging.api.us.aptlydone.com/decision/v1/delegations/global-search"
payload = {
"tenantId": "105fa115-52d0-4466-baff-740447a60774",
"page": 1,
"limit": 10,
"status": "ISSUED",
"search": "Authority Wisdom",
"section": None,
"category": None,
"groupIds": None,
"positionIds": None,
"redelegable": True,
"isInvalid": True,
"authorityTypeIds": None,
"authorityLimitValueTypes": "Days,Months,Years",
"authorityLimitValueFilters": [
{
"authorityLimitValueType": "Years",
"minValue": "1",
"maxValue": "Unlimited"
}
],
"roles": None,
"conditions": True,
"issuedStartDate": "2025-03-05T11:49:50.577Z",
"issuedEndDate": "2025-03-05T11:49:50.577Z",
"updatedStartDate": "2025-03-05T11:49:50.577Z",
"updatedEndDate": "2025-03-05T11:49:50.577Z",
"effectiveStartDate": "2025-03-05T11:49:50.577Z",
"effectiveEndDate": "2025-03-05T11:49:50.577Z",
"acceptedStartDate": "2025-03-05T11:49:50.577Z",
"acceptedEndDate": "2025-03-05T11:49:50.577Z",
"expiredStartDate": "2025-03-05T11:49:50.577Z",
"expiredEndDate": "2025-03-05T11:49:50.577Z",
"issuers": {
"personnelInPosition": None,
"positionOnly": None,
"specificPersonnel": None
},
"recipients": {
"personnelInPosition": None,
"positionOnly": None,
"specificPersonnel": None
},
"decisions": None,
"isRootDelegation": True,
"invalidFields": "delegationIssuer,delegationGroups,delegationPathway",
"issuerTypes": "PERSONNEL_IN_POSITION,POSITION_ONLY,SPECIFIC_PERSONNEL,ROOT_AUTHORITY",
"recipientTypes": "PERSONNEL_IN_POSITION,POSITION_ONLY,SPECIFIC_PERSONNEL",
"userIds": None,
"startDate": "2025-03-05T11:49:50.577Z",
"endDate": "2025-03-05T11:49:50.577Z",
"selectedTab": "active",
"sortBy": "delegationDisplayId",
"sortOrder": "asc",
"select": "DELEGATION_ID,DELEGATION_DISPLAY_ID,SOURCE_DECISION",
"fetchOnlyOwnDelegations": True,
"issuerType": "ROOT_AUTHORITY",
"issuerUserId": "648fa115-52d0-4466-baff-740447a60774",
"issuerPositionId": "257fa115-52d0-4466-baff-740447a60774"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenantId: '105fa115-52d0-4466-baff-740447a60774',
page: 1,
limit: 10,
status: 'ISSUED',
search: 'Authority Wisdom',
section: null,
category: null,
groupIds: null,
positionIds: null,
redelegable: true,
isInvalid: true,
authorityTypeIds: null,
authorityLimitValueTypes: 'Days,Months,Years',
authorityLimitValueFilters: [{authorityLimitValueType: 'Years', minValue: '1', maxValue: 'Unlimited'}],
roles: null,
conditions: true,
issuedStartDate: '2025-03-05T11:49:50.577Z',
issuedEndDate: '2025-03-05T11:49:50.577Z',
updatedStartDate: '2025-03-05T11:49:50.577Z',
updatedEndDate: '2025-03-05T11:49:50.577Z',
effectiveStartDate: '2025-03-05T11:49:50.577Z',
effectiveEndDate: '2025-03-05T11:49:50.577Z',
acceptedStartDate: '2025-03-05T11:49:50.577Z',
acceptedEndDate: '2025-03-05T11:49:50.577Z',
expiredStartDate: '2025-03-05T11:49:50.577Z',
expiredEndDate: '2025-03-05T11:49:50.577Z',
issuers: {personnelInPosition: null, positionOnly: null, specificPersonnel: null},
recipients: {personnelInPosition: null, positionOnly: null, specificPersonnel: null},
decisions: null,
isRootDelegation: true,
invalidFields: 'delegationIssuer,delegationGroups,delegationPathway',
issuerTypes: 'PERSONNEL_IN_POSITION,POSITION_ONLY,SPECIFIC_PERSONNEL,ROOT_AUTHORITY',
recipientTypes: 'PERSONNEL_IN_POSITION,POSITION_ONLY,SPECIFIC_PERSONNEL',
userIds: null,
startDate: '2025-03-05T11:49:50.577Z',
endDate: '2025-03-05T11:49:50.577Z',
selectedTab: 'active',
sortBy: 'delegationDisplayId',
sortOrder: 'asc',
select: 'DELEGATION_ID,DELEGATION_DISPLAY_ID,SOURCE_DECISION',
fetchOnlyOwnDelegations: true,
issuerType: 'ROOT_AUTHORITY',
issuerUserId: '648fa115-52d0-4466-baff-740447a60774',
issuerPositionId: '257fa115-52d0-4466-baff-740447a60774'
})
};
fetch('https://staging.api.us.aptlydone.com/decision/v1/delegations/global-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.693Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "9f45f94d-20d2-4163-85d9-68f4f699e440",
"tenantId": "105fa115-52d0-4466-baff-740447a60774",
"issuerType": "ROOT_AUTHORITY",
"recipientType": "PERSONNEL_IN_POSITION",
"decisionId": "864fa115-52d0-4466-baff-740447a60774",
"issuedDate": "2025-01-01T12:00:00Z",
"acceptedDate": "2025-01-01T12:00:00Z",
"effectiveDate": "2025-01-01T12:00:00Z",
"delegationDisplayId": "12789",
"link": "/delegations/view/eyJ0ZW5hbnRJZCI6IjEwNWZhMTE1LTUyZDAtNDQ2Ni1iYWZmLTc0MDQ0N2E2MDc3NCIsImRlbGVnYXRpb25JZCI6IjMwOGNiMzMxLWYwMTgtNGJjNS1hMWE3LTQ1MTI4NTU4MTg0MyJ9",
"status": "DRAFT",
"isRootDelegation": false,
"issuerUserId": "648fa115-52d0-4466-baff-740447a60774",
"issuerPositionId": "257fa115-52d0-4466-baff-740447a60774",
"recipientAutoIssue": false,
"parentDelegationId": "726fa115-52d0-4466-baff-740447a60774",
"expirationDate": "2025-12-31T12:00:00Z",
"isNoExpiration": false,
"updatedAt": "2025-01-01T12:00:00Z",
"copiedFrom": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"delegationPathway": [],
"delegationRecipients": [],
"delegationGroups": [],
"delegationAuthorities": [],
"delegationDocuments": [],
"delegationId": "9f45f94d-20d2-4163-85d9-68f4f699e440",
"sourceDecision": {
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"decisionDisplayId": "14623",
"name": "Long-term Investments",
"description": "The Long-term Investments authority involves approving strategic investments",
"guidance": "Investment decisions for long-term, strategic investments...",
"sectionId": "105fa115-52d0-4466-baff-740447a60774",
"categoryId": "248fa115-52d0-4466-baff-740447a60774"
},
"isInvalid": false,
"invalidFields": [
"delegationGroups",
"delegationAuthorities"
],
"actionIssuerApproval": true,
"actionDelegationAcceptance": true,
"actionAuthorityRequest": true,
"approvalActionExistForUser": true,
"acceptanceActionExistForUser": true
}
]
}
}{}Search delegations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Tenant ID
"105fa115-52d0-4466-baff-740447a60774"
Page number
x >= 11
Number of items per page
1 <= x <= 10010
Comma separated Delegation Status values
"ISSUED"
Delegation search string
"Authority Wisdom"
Comma separated Section IDs
null
Comma separated Category IDs
null
Comma separated Group IDs
null
Comma separated Position IDs
null
Redelegable filter
true
Invalid delegations filter (Delegations with alerts)
true
Comma separated Authority Type IDs
null
Comma separated Authority Value Types
"Days,Months,Years"
Authority Limit Value Filters
Show child attributes
Show child attributes
Comma separated Role IDs
null
Conditions filter
true
Start date time for date range filter on delegation issued date
"2025-03-05T11:49:50.577Z"
End date time for date range filter on delegation issued date
"2025-03-05T11:49:50.577Z"
Start date time for date range filter on delegation updated date
"2025-03-05T11:49:50.577Z"
End date time for date range filter on delegation updated date
"2025-03-05T11:49:50.577Z"
Start date time for date range filter on delegation effective date
"2025-03-05T11:49:50.577Z"
End date time for date range filter on delegation effective date
"2025-03-05T11:49:50.577Z"
Start date time for date range filter on delegation accepted date
"2025-03-05T11:49:50.577Z"
End date time for date range filter on delegation accepted date
"2025-03-05T11:49:50.577Z"
Start date time for date range filter on delegation expired date
"2025-03-05T11:49:50.577Z"
End date time for date range filter on delegation expired date
"2025-03-05T11:49:50.577Z"
Issuers Filters
Show child attributes
Show child attributes
Recipients Filters
Show child attributes
Show child attributes
Comma separated Decision IDs
null
Root Delegation filter
true
Comma separated Delegation Invalid Fields
"delegationIssuer,delegationGroups,delegationPathway"
Comma separated Delegation issuer types values
"PERSONNEL_IN_POSITION,POSITION_ONLY,SPECIFIC_PERSONNEL,ROOT_AUTHORITY"
Comma separated Delegation recipient types values
"PERSONNEL_IN_POSITION,POSITION_ONLY,SPECIFIC_PERSONNEL"
Comma separated User IDs
null
Creation/updation date time for delegation
"2025-03-05T11:49:50.577Z"
Creation/updation date time for delegation
"2025-03-05T11:49:50.577Z"
Selected tab context (not used in the listing API)
active, inactive, mine, suspended, pending, all "active"
Criteria for sorting Delegations
delegationDisplayId, decisionName, sectionName, categoryName, status, updatedAt, expirationDate, authorityLimitSortPrecedence, rank, issuedDate, effectiveDate, acceptedDate, createdAt "delegationDisplayId"
Order for sorting Delegations
asc, desc "asc"
Comma separated specific Delegation fields needed in response
"DELEGATION_ID,DELEGATION_DISPLAY_ID,SOURCE_DECISION"
If true, only returns delegations for which current user is issuer/recipient
true
Delegation issuer type
"ROOT_AUTHORITY"
Delegation issuer user id
"648fa115-52d0-4466-baff-740447a60774"
Delegation issuer position id
"257fa115-52d0-4466-baff-740447a60774"
Was this page helpful?